Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#66964 - [geeqie] Please Update to GTK3 instead of GTK2

Attached to Project: Arch Linux
Opened by Ariel Rosenfeld (lord_rel) - Wednesday, 10 June 2020, 07:10 GMT
Last edited by Gaetan Bisson (vesath) - Sunday, 26 July 2020, 18:57 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Gaetan Bisson (vesath)
Architecture All
Severity Very Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Please recompile against GTK3 instead of GTK2


package version(s) - 1.5.1-2
This task depends upon

Closed by  Gaetan Bisson (vesath)
Sunday, 26 July 2020, 18:57 GMT
Reason for closing:  Deferred
Additional comments about closing:  We need a new upstream release with gtk3 support.
Comment by Doug Newgard (Scimmia) - Wednesday, 10 June 2020, 13:48 GMT
From the readme:
171 Note: GTK+3 is still somehow experimental. It is needed for some
172 features but we have several complains about the GTK+3 usability.
173
174 So if you need a stable version, you are advised to compile it
175 with GTK+2. If you want to play with the cool new features, use
176 GTK+3.
Comment by Gaetan Bisson (vesath) - Wednesday, 10 June 2020, 20:09 GMT
Before recommending we switch to an experimental interface, I would appreciate it if you could try the GTK3 version yourself and let us know if it works well enough for you. Cheers.
Comment by Ariel Rosenfeld (lord_rel) - Thursday, 18 June 2020, 15:08 GMT
I have used the git version of geeqie which uses GTK+3 and had no problems.

i submitted a bug about the experimental status of GTK+3 and here is the discussion and possible decision: https://github.com/BestImageViewer/geeqie/issues/775
Comment by Ariel Rosenfeld (lord_rel) - Saturday, 20 June 2020, 17:25 GMT
The Readme.MD is now changed and both GTK 2 and 3 are considered stable
Comment by Gaetan Bisson (vesath) - Sunday, 21 June 2020, 08:42 GMT
Thanks! Let's switch.
Comment by Gaetan Bisson (vesath) - Sunday, 21 June 2020, 08:49 GMT
Where has the README file been changed, though? I'm looking there:

https://github.com/BestImageViewer/geeqie

It says "GTK+3 is still somehow experimental. It is needed for some features but we have several complains about the GTK+3 usability. So if you need a stable version, you are advised to compile it with GTK+2. If you want to play with the cool new features, use GTK+3."

On the positive side, building with GTK+3 is the default.
Comment by Eli Schwartz (eschwartz) - Sunday, 21 June 2020, 09:03 GMT
> The project website is http://www.geeqie.org/ and you will find the latest sources in the Geeqie repository.

Links to http://geeqie.org/cgi-bin/gitweb.cgi?p=geeqie.git

It has this gem: http://geeqie.org/cgi-bin/gitweb.cgi?p=geeqie.git;a=commitdiff;h=4800e2c1ae84d618c19ab330d53e4c528a2a000f

+##PLEASE NOTE!
+The repository at GitHub is not the main repository, and is likely to be out-of-date.
+If you wish to clone the source code, please use the repository at [geeqie.org](http://geeqie.org/cgi-bin/gitweb.cgi?p=geeqie.git).
+Details are given in the [Downloading](#downloading) section below.

... but this warning is itself part of the out-of-dateness of the github mirror, it's not available on github.

The README change you're looking for is http://geeqie.org/cgi-bin/gitweb.cgi?p=geeqie.git;a=commitdiff;h=c3029a4db75fc2e647ef61149e24021db4a5c4ef

It's also immediately following the gtk3-specific fix for https://github.com/BestImageViewer/geeqie/issues/396
Note also the fixes for "GPU acceleration" are purported to fix https://github.com/BestImageViewer/geeqie/issues/602 (gtk3 issue) too.
Comment by Gaetan Bisson (vesath) - Sunday, 21 June 2020, 10:42 GMT
Thanks Eli!

Also I've had no success building 1.5.1 with GTK+3 so we would likely have to switch to a more up-to-date git commit if we are to drop GTK+2...
Comment by Gaetan Bisson (vesath) - Sunday, 21 June 2020, 11:08 GMT
I believe our official package should remain at 1.5.1 built with GTK+2 until upstream cuts a new release.

If you want a GTK+3 build today then the AUR package `geeqie-git` is probably your best bet.

Cheers.

Loading...